summaryrefslogtreecommitdiff
path: root/dev-python/outcome
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/outcome
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/outcome')
-rw-r--r--dev-python/outcome/Manifest1
-rw-r--r--dev-python/outcome/metadata.xml10
-rw-r--r--dev-python/outcome/outcome-1.3.0_p0.ebuild39
3 files changed, 50 insertions, 0 deletions
diff --git a/dev-python/outcome/Manifest b/dev-python/outcome/Manifest
new file mode 100644
index 000000000000..d2e305a71aee
--- /dev/null
+++ b/dev-python/outcome/Manifest
@@ -0,0 +1 @@
+DIST outcome-1.3.0.post0.gh.tar.gz 20749 BLAKE2B d094f1c7c67b890fff20b81ee77d9b06616e0e3e89ce62b3936b6d2a6964cc95355f81feb82acf8d9a3f63c6af4b219bc4abafe1c329d2a5963936a9d3a7a827 SHA512 d01f6d74e883b112cd589f9e8ed05770db9b1f9ae48e84e2cbb1138c33c1496d3bae559e2627a4fe736496740866c1a9589cfc611d1c8218add1ad27f8f033ed
diff --git a/dev-python/outcome/metadata.xml b/dev-python/outcome/metadata.xml
new file mode 100644
index 000000000000..0c1f500eae0d
--- /dev/null
+++ b/dev-python/outcome/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>nowa@gentoo.org</email>
+ <name>Nowa Ammerlaan</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/outcome/outcome-1.3.0_p0.ebuild b/dev-python/outcome/outcome-1.3.0_p0.ebuild
new file mode 100644
index 000000000000..d4b676e32ac7
--- /dev/null
+++ b/dev-python/outcome/outcome-1.3.0_p0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Capture the outcome of Python function calls"
+HOMEPAGE="
+ https://github.com/python-trio/outcome/
+ https://pypi.org/project/outcome/
+"
+SRC_URI="
+ https://github.com/python-trio/outcome/archive/v${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="|| ( Apache-2.0 MIT )"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~mips ppc ppc64 ~riscv ~s390 ~sparc x86"
+
+RDEPEND="
+ dev-python/attrs[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+distutils_enable_sphinx docs/source \
+ dev-python/sphinxcontrib-trio \
+ dev-python/sphinx-rtd-theme